Bug 150362 - Mk/bsd.port.mk: remove support for support for USE_CDRTOOLS=cjk in preparation for updating sysutils/cdrtools to 3.00
Summary: Mk/bsd.port.mk: remove support for support for USE_CDRTOOLS=cjk in preparatio...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-07 20:40 UTC by Marius Strobl
Modified: 2010-09-17 08:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.15 KB, patch)
2010-09-07 20:40 UTC, Marius Strobl
no flags Details | Diff
sysutils::cdrtools.diff19 (42.02 KB, text/plain; charset=us-ascii)
2010-09-09 12:44 UTC, marius
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marius Strobl freebsd_committer 2010-09-07 20:40:02 UTC
	With cdrtools 3.00 the sysutils/cdrtools-cjk slave-port is obsolete
	as mkisofs now employs iconv for character conversion. This means
	that in preparation for updating sysutils/cdrtools 3.00 support for
	USE_CDRTOOLS=cjk as well as USE_CDRTOOLS together with the WITH_CJK
	knob in order to depend on sysutils/cdrtools-cjk instead of
	sysutils/cdrtools needs to be removed from bsd.port.mk. Ideally both
	the update of sysutils/cdrtools and bsd.port.mk should be comitted
	atomically of course, but I assume that portmgr@ is not interested
	in committing port updates and other committers are not allowed to
	touch bsd.port.mk.

Fix: Please resolve conflicts in the UPDATING part of the below patch
	and update the date as needed.
Comment 1 Edwin Groothuis freebsd_committer 2010-09-07 20:40:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk is portmgr territory (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon 2010-09-09 08:56:39 UTC
On Tue, Sep 07, 2010 at 09:25:36PM +0200, Marius Strobl wrote:
> I assume that portmgr@ is not interested in committing port updates

It can happen.  For large sweeps we generally ask for help.

> and other committers are not allowed to touch bsd.port.mk.

That part's correct.

mcl
Comment 3 marius 2010-09-09 12:44:40 UTC
On Thu, Sep 09, 2010 at 07:56:39AM +0000, Mark Linimon wrote:
> On Tue, Sep 07, 2010 at 09:25:36PM +0200, Marius Strobl wrote:
> > I assume that portmgr@ is not interested in committing port updates
> 
> It can happen.  For large sweeps we generally ask for help.

The second patch which updates sysutils/cdrtools and removes
sysutils/cdrtools-cjk is attached. Note that it removes the
following files:
sysutils/cdrtools/files/patch-README.rscsi
sysutils/cdrtools/files/patch-cdda2wav-toc.c
sysutils/cdrtools/files/patch-cdda2wav::interface.c
sysutils/cdrtools/files/patch-cdda2wav::ioctl.c
sysutils/cdrtools/files/patch-cdda2wav::mycdrom.h
sysutils/cdrtools/files/patch-readcd::readcd.c
sysutils/cdrtools-cjk/Makefile
sysutils/cdrtools-cjk/distinfo
sysutils/cdrtools-cjk/pkg-descr

and adds these:
sysutils/cdrtools/files/patch-btcflash::btcflash.1
sysutils/cdrtools/files/patch-cdrecord::README.rscsi

Both patches are also available as:
http://people.freebsd.org/~marius/bsd.port.mk_nuke_cdrtools-cjk.diff
http://people.freebsd.org/~marius/cdrtools.diff19

So are you going to commit both in one go?

Regards,
Marius
Comment 4 marius 2010-09-14 00:27:57 UTC
On Thu, Sep 09, 2010 at 01:44:40PM +0200, Marius Strobl wrote:
> On Thu, Sep 09, 2010 at 07:56:39AM +0000, Mark Linimon wrote:
> > On Tue, Sep 07, 2010 at 09:25:36PM +0200, Marius Strobl wrote:
> > > I assume that portmgr@ is not interested in committing port updates
> > 
> > It can happen.  For large sweeps we generally ask for help.
> 
> The second patch which updates sysutils/cdrtools and removes
> sysutils/cdrtools-cjk is attached. Note that it removes the
> following files:
> sysutils/cdrtools/files/patch-README.rscsi
> sysutils/cdrtools/files/patch-cdda2wav-toc.c
> sysutils/cdrtools/files/patch-cdda2wav::interface.c
> sysutils/cdrtools/files/patch-cdda2wav::ioctl.c
> sysutils/cdrtools/files/patch-cdda2wav::mycdrom.h
> sysutils/cdrtools/files/patch-readcd::readcd.c
> sysutils/cdrtools-cjk/Makefile
> sysutils/cdrtools-cjk/distinfo
> sysutils/cdrtools-cjk/pkg-descr
> 
> and adds these:
> sysutils/cdrtools/files/patch-btcflash::btcflash.1
> sysutils/cdrtools/files/patch-cdrecord::README.rscsi
> 
> Both patches are also available as:
> http://people.freebsd.org/~marius/bsd.port.mk_nuke_cdrtools-cjk.diff
> http://people.freebsd.org/~marius/cdrtools.diff19
> 
> So are you going to commit both in one go?
> 

I've got a private email from pav@ saying that the preferred way
would be to first update sysutils/cdrtools, which effectively breaks
USE_CDRTOOLS with WITH_CJK set, and setting sysutils/cdrtools-cjk
BROKEN meanwhile. Then after portmgr@ have updated bsd.port.mk/
USE_CDRTOOLS sysutils/cdrtools-cjk would be removed. Is this the
route "oficially" preferred by portmgr@?

Regards,
Marius
Comment 5 Pav Lucistnik freebsd_committer 2010-09-14 09:27:40 UTC
>   Is this the
>   route "oficially" preferred by portmgr@?

Yes :)

Hopefully, the window of breakage will be less than 48 hours.

-- 
Pav Lucistnik <pav@oook.cz>
               <pav@FreeBSD.org>
Comment 6 marius 2010-09-15 18:54:15 UTC
On Tue, Sep 14, 2010 at 10:27:40AM +0200, Pav Lucistnik wrote:
> >  Is this the
> >  route "oficially" preferred by portmgr@?
> 
> Yes :)
> 
> Hopefully, the window of breakage will be less than 48 hours.
> 

Okay, the update to cdrtools 3.00 has hit the tree.

Marius
Comment 7 Pav Lucistnik freebsd_committer 2010-09-15 21:29:59 UTC
> Okay, the update to cdrtools 3.00 has hit the tree.


Started test of the bpm patch, will keep you posted.

-- 
-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>
Two sausages are in a frying pan. One says, "Geez, it's hot in here
isn't it?" And the other one says, "Aaaaaah! A talking sausage!"
Comment 8 Pav Lucistnik freebsd_committer 2010-09-17 08:29:01 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 9 dfilter service freebsd_committer 2010-09-17 08:31:42 UTC
pav         2010-09-17 07:31:36 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING 
    Mk                   bsd.port.mk 
  Log:
  - Desupport USE_CDRTOOLS=cjk
  
  PR:             ports/150362
  Submitted by:   marius
  
  Revision  Changes    Path
  1.647     +2 -9      ports/Mk/bsd.port.mk
  1.972     +8 -1      ports/UPDATING
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"